
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 出入库原因VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockChangeReasonVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long stockChangeReasonId;

    @Schema(description = "出入库类别，1：出库 2：入库")
    private Integer type;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "状态，1：启用 0：禁用 -1：删除")
    private Integer status;

    @Schema(description = "系统类型")
    private Integer sysType;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "是否系统内置")
    private Integer sysSet;

    @Schema(description = "原因")
    private String reason;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getSysSet() {
        return sysSet;
    }

    public void setSysSet(Integer sysSet) {
        this.sysSet = sysSet;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Long getStockChangeReasonId() {
        return stockChangeReasonId;
    }

    public void setStockChangeReasonId(Long stockChangeReasonId) {
        this.stockChangeReasonId = stockChangeReasonId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "StockChangeReasonVO{" +
                "stockChangeReasonId=" + stockChangeReasonId +
                ", type=" + type +
                ", shopId=" + shopId +
                ", status=" + status +
                ", sysType=" + sysType +
                ", remark='" + remark + '\'' +
                ", sysSet=" + sysSet +
                ", reason='" + reason + '\'' +
                '}';
    }
}
